﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Grouping;
using System.Xml;
using System.IO;
using Syncfusion.Web.UI.WebControls.Tools;
using Syncfusion.Windows.Forms.Grid;

namespace ColumnWidth_GridWeb
{
    public partial class Default : System.Web.UI.Page
    {
        List<MyClass> list = new List<MyClass>();
        protected void Page_Load(object sender, EventArgs e)
        {

            if (!IsPostBack)
            {
                bindDataSource();
                
            }

            this.GridGroupingControl1.DataSourceControlRowUpdating += new GridDataSourceControlRowUpdateEventHandler(GridGroupingControl1_DataSourceControlRowUpdating);
        }

        void GridGroupingControl1_DataSourceControlRowUpdating(object sender, GridDataSourceControlRowUpdateEventArgs e)
        {
            e.Handled = true;
            e.Cancel = true;

        }
        protected void file_uploaded(object sender, EventArgs e)
        {
            UploadBox up=sender as UploadBox;
            GridCell gc=up.NamingContainer as GridCell;
            GridRow gr=gc.Row;

            Label lbl = FindControlRecursive(gr, "Label1") as Label;
            lbl.Text = up.FileName + "has uploaded successfully. ";

        }

        Control FindControlRecursive(Control parent, string id)
        {
            Control ctrl = parent.FindControl(id);
            if (ctrl == null && parent.HasControls())
            {
                foreach (Control c in parent.Controls)
                {
                    ctrl = FindControlRecursive(c, id);
                    if (ctrl != null) return ctrl;
                }
            }
            return ctrl;
        }
       


        private void bindDataSource()
        {
            list.Add(new MyClass(1, "~/Styles/Images/1.png", 15123.45m, 1362, 458792658));
            list.Add(new MyClass(2, "~/Styles/Images/2.png", 25123.45m, 1363, 358765892));
            list.Add(new MyClass(3, "~/Styles/Images/3.png", 45123.45m, 1364, 378765892));
            list.Add(new MyClass(4, "~/Styles/Images/4.png", 26123.45m, 1365, 678765892));
            list.Add(new MyClass(5, "~/Styles/Images/5.png", 78123.45m, 1366, 390876892));
            
            this.GridGroupingControl1.DataSource = list;
        }



        [Serializable]
        public class MyClass
        {
            public MyClass() { }
            public MyClass(int ID, string imageurl, decimal currency, int number, int TelePhone)
            {
                this.ID = ID;
                this.ImageUrl = imageurl;
                this.Currency = currency;
                this.Number = number;
                this.Telephone = TelePhone;
            }
            public int ID { get; set; }
            public decimal Currency { get; set; }
            public string ImageUrl { get; set; }
            public int Number { get; set; }
            public int Telephone { get; set; }
        }

        
    }
}